Skip to main content
GET
/
v0
/
page_links
/
search
Search page links
curl --request GET \
  --url https://api.tryarchitect.com/v0/page_links/search \
  --header 'x-api-key: <api-key>'
{
  "hasMore": true,
  "items": [
    {
      "pageLinkId": "<string>",
      "tenantDomainId": "<string>",
      "path": "<string>",
      "target": {
        "targetType": "<string>",
        "audienceId": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>",
  "totalCount": 4503599627370495
}

Documentation Index

Fetch the complete documentation index at: https://architect-d889a35e-sync-pr-3380.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Query Parameters

cursor
string

cursor parameter

limit
number

limit parameter

pageId
string

pageId parameter

query
string

query parameter

targetType
enum<string>

targetType parameter

Available options:
audience,
page,
page_routing
tenantDomainId
string

Optional tenant domain ID for custom domain. If not provided, uses fallback subdomain.

Response

Successful operation

hasMore
boolean
required
items
object[]
required
nextCursor
string | null
required
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991